org.apache.lucene.luke.app.desktop.components.fragments.search

## Interface SortTabOperator

All Superinterfaces:
  ComponentOperatorRegistry.ComponentOperator

All Known Implementing Classes:
  SortPaneProvider

    public interface SortTabOperator
    extends ComponentOperatorRegistry.ComponentOperator

Operator for the Sort tab

### Method Summary

All Methods Instance Methods Abstract Methods
`Sort` `getSort()`
`void` `setSearchModel(Search model)`
`void` `setSortableFields(Collection<String> sortableFields)`

### Method Detail

#### setSearchModel

    void setSearchModel(Search model)

#### setSortableFields

    void setSortableFields(Collection<String> sortableFields)

#### getSort

    Sort getSort()